# -*- coding: utf-8 -*-
# Copyright 2019 Salinity Developers <http://salinity.in/>
# License LGPL-3.0 or later (http://www.gnu.org/licenses/lgpl.html).

import requests
import logging

from odoo import models, _
from odoo.exceptions import UserError

_logger = logging.getLogger(__name__)


class ResPartner(models.Model):
    _inherit = 'res.partner'

    def phone_click2call_action(self):
        self.ensure_one()
        if not self.env.user.click2call_uniqueid:
            raise UserError(_('Please configure Click2Call UniqueID in User -> Preference.'))
        self.env.user.notify_info("Initiating Call...")
        r = requests.get('http://control.interfone.co:8000/v2/accounts/efc28c2f62831b768e4d910fe04ab1d6/clicktocall/%s/connect?contact=%s' % (self.env.user.click2call_uniqueid, self.phone))
        data = r.json()
        _logger.info('Initiated call for %s(ID:%s) on this number: %s. Response: %s', self.name, self.id, self.phone, data)

    def mobile_click2call_action(self):
        self.ensure_one()
        if not self.env.user.click2call_uniqueid:
            raise UserError(_('Please configure Click2Call UniqueID in User -> Preference.'))
        self.env.user.notify_info("Initiating Call...")
        r = requests.get('http://control.interfone.co:8000/v2/accounts/efc28c2f62831b768e4d910fe04ab1d6/clicktocall/%s/connect?contact=%s' % (self.env.user.click2call_uniqueid, self.mobile))
        data = r.json()
        _logger.info('Initiated call for %s(ID:%s) on this number: %s. Response: %s', self.name, self.id, self.mobile, data)
